Page MenuHomePhabricator

Support cirrusDumpQuery and cirrusDumpResult query strings in all the places
Closed, ResolvedPublic

Description

These query strings are currently only supported for full text search. Ideally we also want them to work for:

  • prefix search
  • completion suggester
  • geodata api's
  • upcoming wikidata api's

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptFeb 7 2017, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Since cirrusDump* are implemented in CirrusSearch and not Searcher, right now I'm essentially re-implementing them in my wikibase search classes. Would be great if we had an API that did it as part of Searcher. Preferably as granular as possible, since reusing big parts from another search is tricky.

debt triaged this task as Low priority.Mar 9 2017, 11:12 PM
debt moved this task from needs triage to This Quarter on the Discovery-Search board.
debt added a subscriber: debt.

There's a hack in place for this right now - but we should probably resolve this tech debt.

Change 344738 had a related patch set uploaded (by Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Move request switches handling into Searcher

https://gerrit.wikimedia.org/r/344738

Change 344738 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Move request switches handling into Searcher

https://gerrit.wikimedia.org/r/344738

prefix search

This one uses the DB AFAIK so not sure what we'd dump there

completion suggester

This is a tricky one since it doesn't use Searcher but another ElasticsearchIntermediary class. We could move the debugging infrastructure into a trait or into ElasticsearchIntermediary to make it work with such cases.

geodata api's

This already should work for Geodata feature(s) (it being the regular search essentially) but not for query/coordinates which doesn't use ES anyway. Not sure what we'd dump in the latter case.

upcoming wikidata api's

Supported in current patches, will keep it supported as much as possible.

debt closed this task as Resolved.May 30 2017, 5:28 PM

Merged and seems to be working just fine in production.